# $Revision: 1.19 $, $Date: 2002/07/18 13:47:04 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Search
%define		pnam	Binary
Summary:	Search::Binary Perl module
Summary(cs):	Modul Search::Binary pro Perl
Summary(da):	Perlmodul Search::Binary
Summary(de):	Search::Binary Perl Modul
Summary(es):	Mdulo de Perl Search::Binary
Summary(fr):	Module Perl Search::Binary
Summary(it):	Modulo di Perl Search::Binary
Summary(ja):	Search::Binary Perl ⥸塼
Summary(ko):	Search::Binary  
Summary(no):	Perlmodul Search::Binary
Summary(pl):	Modu Perla Search::Binary
Summary(pt):	Mdulo de Perl Search::Binary
Summary(pt_BR):	Mdulo Perl Search::Binary
Summary(ru):	  Perl Search::Binary
Summary(sv):	Search::Binary Perlmodul
Summary(uk):	  Perl Search::Binary
Summary(zh_CN):	Search::Binary Perl ģ
Name:		perl-Search-Binary
Version:	0.95
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Search::Binary - generic binary search.

%description -l pl
Search::Binary - podstawowe wyszukiwanie binarne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Search
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Search-Binary.spec,v $
Revision 1.19  2002/07/18 13:47:04  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/Search
- release 9

Revision 1.18  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:19:53  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:33:54  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:09  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 16:17:54  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
